Skip to main content
PUT
/
alert-receivers
/
{alertReceiverId}
Update alert receiver
curl --request PUT \
  --url https://api.qovery.com/alert-receivers/{alertReceiverId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "type": "SLACK",
  "send_resolved": true,
  "owner": "<string>",
  "severity": "<string>",
  "webhook_url": "<string>"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "description": "<string>",
  "type": "SLACK",
  "send_resolved": true,
  "updated_at": "2023-11-07T05:31:56Z",
  "owner": "<string>",
  "severity": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

alertReceiverId
string<uuid>
required

Alert Receiver ID

Body

application/json
name
string
required
description
string
required
type
enum<string>
required
Available options:
SLACK,
EMAIL
send_resolved
boolean
required
owner
string | null
severity
string | null
webhook_url
string<uri> | null

Update webhook URL. If null, keeps existing value.

Response

OK

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required
description
string
required
type
enum<string>
required
Available options:
SLACK,
EMAIL
send_resolved
boolean
required
updated_at
string<date-time>
read-only
owner
string | null
severity
string | null